% $Id$ %
\chapter{\label{ref:rockbox_interface}Quick Start}
\section{Basic Overview}
\subsection{The \daps{} controls}

\begin{center}
% include the front image. Using \specimg makes this fairly easy,
% but requires to use the exact value of \specimg in the filename!
% The extension is selected in the preamble, so no further \ifpdfoutput
% is necessary.
\includegraphics[height=8cm,width=10cm,keepaspectratio=true]{rockbox_interface/images/\specimg-front}
\opt{m3}{% replace with HAVEREMOTEKEYMAP when the h100 file exists or change specimg
  \end{center}
  % spacing between the two pictures, could possibly be improved
  \begin{center}
    \includegraphics[height=5.6cm,width=10cm,keepaspectratio=true]{rockbox_interface/images/\specimg-remote}
}
\end{center}

Throughout this manual, the buttons on the \dap{} are labelled according to the
picture above. Whenever a button name is prefixed by ``Long'', a long press of
approximately one second should be performed on that button. The buttons are
described in detail in the following paragraph.

\blind{
  Additional information for blind users is available on the Rockbox website at 
  \wikilink{BlindFAQ}.
  
  %
  \opt{h100}{
  Hold or lay the \dap{} so that the side with the joystick and LCD is facing
  towards you, and the curved side is at the top. The joystick functions as
  the \ButtonUp{}, \ButtonRight{}, \ButtonLeft{}, and \ButtonDown{} buttons when
  pressed in the appropriate direction. Pressing the joystick down functions as
  \ButtonSelect{}. 
  On the right side of the \dap{} are the \ButtonOn{}, \ButtonOff{}, 
  \ButtonMode{} buttons, and the \ButtonHold{} switch. When this switch is
  switched towards the bottom of the \dap{}, hold is on, and none of the other
  buttons have any effect.

  On the left side is the \ButtonRec{} button. Above that is the internal microphone. 

  On the top panel of the \dap{}, from left to right, you can find the
  following: headphone mini jack plug, remote port, Optical line-in, Optical Line-out.

  On the bottom panel of the \dap{}, from left to right, you can find the
  following: power jack, reset switch, and USB port. In the event that your
  \dap{} hard locks, you can reset it by inserting a paper clip into the hole
  where the reset switch is.}
  % 
  \opt{h300}{
  Hold or lay the \dap{} so that the side with the button pad and
  LCD is facing towards you.  The buttons on the button pad are as follows:  top 
  left corner: \ButtonOn{}, bottom left corner: \ButtonOff{}, top right corner: 
  \ButtonRec, bottom right corner: \ButtonMode{}.  In the center of the button pad 
  is a button labelled \ButtonSelect{}.  Surrounding the \ButtonSelect{} button are
  the \ButtonUp{}, \ButtonDown{}, \ButtonLeft{}, and \ButtonRight{} buttons.
  
  On the top panel of the \dap{}, from left to right, you can find the 
  following: headphone mini jack plug, remote port, Line-in, Line-out.

  On the left hand side of the \dap{} is the internal microphone. Just underneath
  this is a small hole, the reset switch. In the event that your \dap{} hard locks,
  you can reset it by inserting a paper clip into the hole where the reset switch
  is.

  On the right hand side of the \dap{} is the \ButtonHold{} switch. When this is 
  switched towards the bottom of the \dap{}, hold is on, and none of the other 
  buttons have any effect.
  
  On the bottom panel of the \dap{}, from left to right, you can find the 
  following:  power jack and two USB ports.  The USB port on the right is used 
  to connect your \dap{} to your computer.  The USB port on the left is not 
  used in Rockbox. 
  }
  %
  \opt{ipod4g,ipodcolor,ipodvideo,ipodmini}{ 
  The main controls on the \dap{} are a slightly indented scroll wheel 
  with a flat round button in the center. Hold the \dap{} with these controls 
  facing you. 

  The top of the player will have the following, from left to 
  right:
  \opt{ipod4g,ipodcolor}{remote connector, headphone jack, \ButtonHold{} 
    switch.}
  \opt{ipodvideo}{\ButtonHold{} switch, headphone jack.}
  \opt{ipodmini}{\ButtonHold{} switch, remote connector, headphone jack.}	

  The dock connector that is used to connect your \dap{} to your computer is on 
  the bottom panel of the \dap{}.

  The button in the middle of the wheel is called \ButtonSelect{}. You can
  operate the wheel by pressing the top, bottom, left or right sections,
  or by sliding your finger around it.  The top is \ButtonMenu{}, the bottom is
  \ButtonPlay{}, the left is \ButtonLeft{}, and the right is \ButtonRight{}.
  When the manual says to \ButtonScrollFwd{}, it means to slide your finger
  clockwise around the wheel. \ButtonScrollBack{} means to slide your finger
  counterclockwise. Note that the wheel is sensitive, so you will need to move
  slowly at first and get a feel for how it works.
  
  Note that when the \ButtonHold{} switch is pushed toward the center of the \dap{}, 
  hold is on, and none of the other controls do anything.  Be sure
  \ButtonHold{} is off before trying to use your player. 
  }
  %
  \opt{ipod3g}{ 
  The main controls on the \dap{} are a slightly indented touch wheel 
  with a flat round button in the center, and four buttons in a row above the
  touch wheel. Hold the \dap{} with these controls 
  facing you. 

  The top of the player will have the following, from left to 
  right: remote connector, headphone jack, \ButtonHold{} switch.
	
  The dock connector that is used to connect your \dap{} to your computer is on 
  the bottom panel of the \dap{}.

  The button in the middle of the wheel is called \ButtonSelect{}. You can
  operate the wheel by sliding your finger around it.  The row of
  buttons consists of, from left to right, the \ButtonLeft{},
  \ButtonMenu{}, \ButtonPlay{}, and \ButtonRight{} buttons.
  When the manual says to \ButtonScrollFwd{}, it means to slide your finger
  clockwise around the wheel. \ButtonScrollBack{} means to slide your finger
  counterclockwise. Note that the wheel is sensitive, so you will need to move
  slowly at first and get a feel for how it works.
  
  Note that when the \ButtonHold{} switch is pushed toward the center of the \dap{}, 
  hold is on, and none of the other controls do anything.  Be sure
  \ButtonHold{} is off before trying to use your player. 
  }
  %
  \opt{ipod1g2g}{ 
  The main controls on the \dap{} are a slightly indented wheel 
  with a flat round button in the center, and four buttons surrounding
  it. On the 1st generation iPod, this wheel physically turns. On the
  2nd generation iPod, this wheel is touch-sensitive. Hold the \dap{} with these controls 
  facing you. 

  The top of the player will have the following, from left to 
  right: FireWire port, headphone jack, \ButtonHold{} switch.

  The FireWire port is used to connect your \dap{} to the computer and
  to charge its battery via a wall charger.
	
  The button in the middle of the wheel is called \ButtonSelect{}. You can
  operate the wheel by turning it, or sliding your finger around
  it. The top is \ButtonMenu{}, the bottom is \ButtonPlay{}, the left
  is \ButtonLeft{}, and the right is \ButtonRight{}.
  When the manual says to \ButtonScrollFwd{}, it means to slide your finger
  clockwise around the wheel. \ButtonScrollBack{} means to slide your finger
  counterclockwise. Note that the wheel is sensitive, so you will need to move
  slowly at first and get a feel for how it works.
  
  Note that when the \ButtonHold{} switch is pushed toward the center of the \dap{}, 
  hold is on, and none of the other controls do anything.  Be sure
  \ButtonHold{} is off before trying to use your player. 
  }
  %
  \opt{ipodnano}{
  The main controls on the \dap{} are a slightly indented wheel with a
  flat round button in the center. Hold the \dap{} with these controls on the
  top surface. There is a \ButtonHold{} switch at one end, and
  headphone and dock connector at the other; be sure the end with the
  switch is facing away from you.

  The button in the middle of the wheel is called \ButtonSelect{}. You can
  operate the wheel by pressing the top, bottom, left or right sections,
  or by sliding your finger around it.  The top is \ButtonMenu{}, the bottom is
  \ButtonPlay{}, the left is \ButtonLeft{}, and the right is \ButtonRight{}.
  When the manual says to \ButtonScrollFwd{}, it means to slide your finger
  clockwise around the wheel. \ButtonScrollBack{} means to slide your finger
  counterclockwise. Note that the wheel is sensitive, so you will need to move
  slowly at first and get a feel for how it works.

  Note that when the \ButtonHold{} switch is pushed toward the center of the \dap{},
  hold is on, and none of the other controls do anything; be sure \ButtonHold{} is
  off before trying to use your player.
  }
  %
  \opt{ondio}{
  The main characteristic of the Ondio case is the indent on its lower right side, 
  which is the MMC slot. Holding the \dap{} with this slot in the described position
  you'll find the following:

  On the curved top, from left to right, are the headphone jack,
  the \ButtonOff{} button,%
  \opt{recording}{ and the line in jack}.
  Apart from the already mentioned MMC slot, you will find the USB connector on
  the \daps{} right side. Below the LCD, at approximately the center of the \dap{},
  there is the main button pad of the \dap{}. The centre of the button pad dips inward
  and helps to operate the directional keys from there. Located on a two-way button
  strip are the \ButtonLeft{} and \ButtonRight{} keys, with \ButtonUp{} above it
  and \ButtonDown{} below it. The raised button positioned in the lower left of this 
  round crosspad is labelled \ButtonMenu{}.
  }
  %
  \opt{h10,h10_5gb}{
  Hold or lay the \dap{} so that the side with the scroll pad and
  LCD is facing towards you. In the centre below the lcd is the scroll pad. It
  is oriented vertically. Touching the top and bottom half of it acts as the 
  \ButtonScrollUp{}  and \ButtonScrollDown{} buttons respectively. On the left
  of the scroll pad is the \ButtonLeft{} button and on the right is the
  \ButtonRight{} button.
  
  There are three buttons on the right hand side of the \dap{}. From top to 
  bottom, they are: \ButtonRew{}, \ButtonPlay{} and \ButtonFF{}. On the left 
  hand side is the \ButtonPower{} button.

  On the top panel of the \dap{}, from left to right, you can find the 
  following: \ButtonHold{} switch, \opt{h10}{reset pin hole, }remote port and
  headphone mini jack plug. 
  
  On the bottom panel of the \dap{} is the data cable port.}
  %
  \opt{gigabeatf}{
  \note{The following description is for the Gigabeat F, but can also apply for the
  Gigabeat X. The Gigabeat F is slightly larger and more rectangular shaped, while the
  Gigabeat X is smaller and has a slightly tapered back.}

  Hold the \dap{} with the screen on top and the controls on the right hand side.  
  Below the screen is a cross-shaped touch sensitive pad which contains the 
  \ButtonUp{}, \ButtonDown{}, \ButtonLeft{} and \ButtonRight{} controls.  On the
  Gigabeat X, this pad will feel slightly raised up, while it will feel slightly
  sunken in on the Gigabeat F. On the top of the unit, from left to right, are the 
  power socket, the \ButtonHold{} switch, and the headphone socket.  The 
  \ButtonHold{} switch puts the \dap{} into hold mode when it is switched to the 
  right of the unit. The buttons will have no effect when this is the case.  
  
  Starting from the left hand side on the bottom of the unit, nearer to the front
  than the back, is a recessed switch which 
  controls whether the battery is on or off.  When this switch is to the left,
  the battery is disconnected.  This can be used for a hard reset of the unit,
  or if the \dap{} is being placed in storage.  Next to that is a connector for
  the docking station and finally on the right hand side of the bottom of the
  unit is a mini USB socket for connecting directly to USB.
  
  Finally on the right hand side of the unit are some control buttons.  Going from
  the bottom of the unit to the top there is a small round \ButtonA{} buttton then a
  rocker volume switch with of the \ButtonVolDown{} button below the \ButtonVolUp{}
  button.  Above that is are two more small round buttons, the \ButtonMenu{} 
  button and nearest to the top of the unit the \ButtonPower{} button, which is held
  down to turn the \dap{} on or off. If you have a Gigabeat X, these buttons are small
  metallic buttons that are place further up on the right hand side, and closer
  together. The layout is still the same, however.}
  %
  \opt{gigabeats}{
  Hold the \dap{} with the screen on top and the controls on the right hand side.
  Directly below the bottom edge of the screen are two buttons, \ButtonBack{}
  on the left and \ButtonMenu{} on the right. Below them is a cross-shaped pad
  which contains the \ButtonUp{}, \ButtonDown{}, \ButtonLeft{}, \ButtonRight{}
  and \ButtonSelect{} controls.
  On the top of the unit from left to right are the headphone socket and the
  \ButtonHold{} switch.  The \ButtonHold{} switch puts the \dap{} into
  hold mode when it is switched to the right of the unit.
  The buttons will have no effect when this is the case.

  Starting from the left hand side on the bottom of the unit, nearer to the back
  than the front, is a recessed switch which controls whether the battery is on
  or off.  When this switch is to the left, the battery is disconnected.
  This can be used for a hard reset of the unit, or if the \dap{} is being placed
  in storage.  Next to that is a mini USB socket for connecting directly to USB, 
  and finally a custom connector, presumably for planned accessories which were 
  never released.

  Finally on the right hand side of the unit are some control buttons and the power 
  connector.  Going from the bottom of the unit to the top, there is the power 
  connector socket, followed by three small round buttons, the
  \ButtonNext{} buttton, \ButtonPlay{} button, and \ButtonPrev{} button (from bottom
  to top) then a rocker volume switch with of the \ButtonVolDown{} button below the
  \ButtonVolUp{} button.  Above that is one more small round button, the \ButtonPower{}
  button, which is held down to turn the \dap{} on or off.}
  %
  \opt{mrobe100}{
  Hold the \dap{} with the black front facing you such that the m:robe writing 
  is readable. Below the writing is the touch sensitive pad with the 
  \ButtonMenu{}, \ButtonPlay{}, \ButtonLeft{}, \ButtonRight{} and \ButtonDisplay 
  controls indicated by their symbols. The dotted center strip is devided in 
  three parts: \ButtonUp{}, \ButtonSelect{} and \ButtonDown. On the top of the 
  unit, on the right, is the \ButtonPower{} switch, which is held down to turn 
  the \dap{} on or off.
  
  The \ButtonHold{} switch is located on the left of the \dap{}, below the 
  headphone socket. It puts the \dap{} into hold mode when it is switched to the 
  top of the unit. The buttons will have no effect when this is the case. On the 
  bottom of the unit, there is a connector for the docking station or the 
  proprietary USB connector for connecting directly to USB.}
  %
  \opt{x5,m5}{
  The \dap{} is curved so that the end with the screen on it is thicker than the 
  other end.  Hold the \dap{} wih the thick end towards the top and the screen
  facing towards you.  Half way up the front of the unit on the right hand side
  is a four way joystick which is the \ButtonUp{}, \ButtonDown{}, 
  \ButtonLeft{}, and \ButtonRight{} buttons. When pressed it serves as \ButtonSelect{}.
  
  On the right hand side of the \dap{} from top to bottom, first there is a two 
  way switch.  the \ButtonPower{} button is activated by pushing this switch up,
  and pushing this switch down until it clicks slightly will activate the 
  \ButtonHold{} button.  When the switch is in this position, none of the other
  keys will have an effect.
  
  Below the switch is a lozenge shaped button which is the \ButtonRec{} 
  button, and below that the final button on this side of the unit, the 
  \ButtonPlay{} button.  Just below this is a small hole which is difficult to
  locate by touch which is the internal microphone.  At the very bottom of 
  this side of the unit is the reset hole, which can be used to perform a hard
  reset by inserting a paper clip.
  
  On the bottom of the unit is the connector for the 
  \playerman{} subpack or dock.  On the top of the unit is a charge 
  indicator light, which may feel a bit like a button, but is not.
  
  From the top of the \dap{} on the left hand side is the headphone socket, then the 
  remote connector.  Below this is a cover which protects the \opt{x5}{USB host
  connector.}\opt{m5}{USB and charging connector}.}
  %
  \opt{e200}{
  Hold the \dap{} with the turning wheel at the front and bottom.  On the bottom left
  of the front of the \dap{} is a raised round button, the \ButtonPower{} button.
  Above and to the left of this, on the outside of the turning wheel are four 
  buttons.  These are the \ButtonUp{}, \ButtonDown{}, \ButtonLeft{} and 
  \ButtonRight{} buttons.  Inside the wheel is the \ButtonSelect{} button.  Turning
  the wheel to the right activates the \ButtonScrollFwd{} function, and to the
  left, the \ButtonScrollBack{} function.  
  
  On the right of the unit is a slot for inserting flash cards.  On the bottom is 
  the connector for the USB cable.  On the left is the \ButtonRec{} button, and
  on the top, there is the headphone socket to the right, and the \ButtonHold{}
  switch.  Moving this switch to the right activates hold mode in which none of the
  other buttons have any effect.  Just to the left of the \ButtonHold{} switch is a
  small hole which contains the internal microphone.}
  %
  \opt{c200}{
  Hold the \dap{} with the buttons on the right and the screen on the left. On
  the right side of the unit, there is a series of four connected buttons that
  form a square. The four sides of the square are the \ButtonUp{},
  \ButtonDown{}, \ButtonLeft{} and \ButtonRight{} buttons, respectively. Inside
  the square formed by these four buttons is the \ButtonSelect{} button. At the
  bottom right corner of the square is a small separate button, the
  \ButtonPower{} button.

  Moving clockwise around the outside of the unit, on the top are the \ButtonVolUp{}
  and \ButtonVolDown{} buttons, which control the volume of playback. The buttons can
  be distinguished by a sunken triangle on the \ButtonVolDown{} button, and a
  raised triangle on the \ButtonVolUp{} button. To the right of
  the volume buttons on the top of the unit is the slot for inserting flash
  memory cards. On the right side of the unit is the connector for the USB
  cable. At center of the bottom of the \dap{} is the \ButtonRec{} button. To
  the left of the \ButtonRec{} button is the \ButtonHold{} switch. Moving this
  switch to the right activates hold mode, in which none of the other buttons
  have any effect. On the lower left side of the unit is the headphone socket.
  Immediately above the headphone socket is a lanyard loop and the microphone.
  }
  %
  \opt{clip}{
  Hold the \dap{} with the controls on the bottom and the screen on the top. The main
  controls are a four-way pad with a button in the centre; pressing this centre button
  functions as \ButtonSelect{}. Going clockwise from the top, the four-way pad contains
  the \ButtonUp{}, \ButtonRight{}, \ButtonDown{}, and \ButtonLeft{} buttons. 
  Immediately above and to the right of the four-way pad is the \ButtonHome{} button.

  On the left hand panel is a two way switch. Pressing this switch up acts as
  \ButtonPower{}, and clicking it down until it locks acts as the \ButtonHold{}
  switch. When the \ButtonHold{} switch is on, none of the other buttons have any
  effect. Immediately above the switch is a mini-USB port to connect the \dap{} to
  a computer.

  On the right hand panel is a two-way button that acts as \ButtonVolDown{} when
  pressed on the bottom, and \ButtonVolUp{} when pressed on the top. Immediately
  above this button is the headphone jack.
  }
  %
  \opt{player}{
  The main controls of this player are a four-way button on the right below
  the screen, and two round buttons to the left of it. Hold the \dap{} with
  these controls on the bottom and facing you.

  On the left hand side, the higher of the two small buttons is the \ButtonOn{},
  the lower of the two buttons is the \ButtonMenu{} button. The large circular
  button on the right contains, clockwise from the top, the \ButtonPlay{},
  the \ButtonRight{}, the \ButtonStop{}, and the \ButtonLeft{} buttons.

  On the top on the \dap{} is the headphone jack on the left and the Line-Out
  jack on the right. On the bottom of the \dap{} is the Line-In jack on the left,
  the DC-In jack on the right, and the USB connector in the centre.
  }
  %
  \opt{recorder}{
  Holding the Jukebox in front of you, there should be three rectangular buttons
  in a horizontal line towards the middle of the unit, and below this to the left
  there is a circular four button array with the circular \ButtonPlay{} button
  as a fifth button in the centre. These are the navigation controls. Below the
  rectangular buttons and to the right of the circular buttons are two small round
  buttons one above the other.

  The \ButtonOn{} button is the topmost of the two buttons located below and to the
  left of the navigation controls whereas the lower of these two is called \ButtonOff.
  The small round button in the middle of the large circular button array is called
  \ButtonPlay{} button. To the right of the \ButtonPlay{} button there is the
  \ButtonRight{} button, left of it is the \ButtonLeft{}, above it \ButtonUp, and
  below the \ButtonPlay{} button there is the \ButtonDown{} button placed. In the row
  of three rectangular buttons the following buttons can be found (from left to right):
  \ButtonFOne{}, \ButtonFTwo{} and \ButtonFThree{}.

  On the top of the \dap{} is the headphone jack on the left and the Line-Out jack on
  the right. On the bottom of the \dap{} is the Line-In jack on the left, the
  DC-In jack on the right, and the USB connector in the centre.
  }
  \opt{recorderv2fm}{
  Holding the Jukebox in front of you, there should be three rectangular buttons
  in a horizontal line towards the middle of the unit, and below this centred on the
  middle button there are four radial arc shaped buttons placed in a cross formation
  with the circular play button as the centre of the cross. These are the navigation
  controls. Below the cross and to the left are two other buttons.

  The \ButtonOn{} button is the leftmost of the two buttons located below and to the
  left of the navigation controls whereas the rightmost and little lower one of
  these two is called \ButtonOff{}. The round button raised slightly higher than the
  others in the centre of the navigation controls is the \ButtonPlay{} button.  To
  the right of the \ButtonPlay{} button  there is the \ButtonRight{} button, left of
  it is the \ButtonLeft{}, above it \ButtonUp{}, and below the \ButtonPlay{} button
  there is the \ButtonDown{} button  placed. In the row of three rectangular buttons
  the following buttons can be found (from left to right): \ButtonFOne{}, \ButtonFTwo{}
  and \ButtonFThree{}.
  }
}

\subsection{Turning the \dap{} on and off}
To turn on and off your Rockbox enabled \dap{} use the following keys:
  \begin{table}
    \begin{btnmap}{}{}
      \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOn}%
      \opt{IPOD_4G_PAD}{\ButtonMenu{} / \ButtonSelect}%
      \opt{IPOD_3G_PAD}{\ButtonMenu{} / \ButtonPlay}%
      \opt{ONDIO_PAD}{\ButtonOff}\opt{RECORDER_PAD,PLAYER_PAD}%
          {Long \ButtonOn}%
      \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD,GIGABEAT_S_PAD,sansaAMS}
          {\ButtonPower}%
    \opt{HAVEREMOTEKEYMAP}{&
      \opt{IRIVER_RC_H100_PAD}{\ButtonRCOn}%
          }
      & Start Rockbox\\
      \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{Long \ButtonOff}%
      \opt{IPOD_4G_PAD,IPOD_3G_PAD}{Long \ButtonPlay}%
      \opt{ONDIO_PAD,recorderv2fm}{Long \ButtonOff}%
      \opt{recorder}{Double tap \ButtonOff\ when playback is stopped}%
      \opt{PLAYER_PAD}{From the Main Menu, select \textbf{Shutdown}}%
      \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD,GIGABEAT_S_PAD,sansaAMS}%
          {Long \ButtonPower}%
    \opt{HAVEREMOTEKEYMAP}{& 
      \opt{IRIVER_RC_H100_PAD}{Long \ButtonRCStop}%
          }
      & Shutdown Rockbox\\
    \end{btnmap}
  \end{table}

\label{ref:Safeshutdown}On shutdown, Rockbox automatically saves its settings.

\opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD,SANSA_E200_PAD%
  ,SANSA_C200_PAD,IRIVER_H10_PAD,IPOD_4G_PAD,GIGABEAT_PAD}{%
  If you have problems with your settings, such as accidentally having
  set the colours to black on black, they can be reset at boot time.  See
  the Reset Settings in \reference{ref:manage_settings_menu} for details.
}%

\opt{PLAYER_PAD,RECORDER_PAD,ONDIO_PAD,GIGABEAT_PAD,IPOD_4G_PAD,SANSA_E200_PAD%
,SANSA_C200_PAD,IAUDIO_X5_PAD,IAUDIO_M5_PAD,IPOD_3G_PAD}{%
  In the unlikely event of a software failure, hardware poweroff or reset can be
  performed by holding down \opt{PLAYER_PAD}{\ButtonStop}\opt{RECORDER_PAD,ONDIO_PAD}
  {\ButtonOff}\opt{GIGABEAT_PAD}{the battery switch}\opt{IPOD_4G_PAD}
  {\ButtonMenu + \ButtonSelect}\opt{IPOD_3G_PAD}{\ButtonMenu + \ButtonPlay}
  \opt{SANSA_E200_PAD,SANSA_C200_PAD,IAUDIO_X5_PAD,IAUDIO_M5_PAD}
  {\ButtonPower} until the \dap{} shuts off or reboots.
}%
\opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_M3_PAD,IRIVER_H10_PAD,MROBE100_PAD}{%
  In the unlikely event of a software failure, a hardware reset can be
  performed by inserting a paperclip gently into the Reset hole.
}%

\nopt{gigabeatf,m3,m5,x5,archos}
  {
  \subsection{Starting the original firmware}
  \label{ref:Dualboot}
  \opt{ipod4g,ipodcolor,ipodvideo,ipodnano,ipodmini}
    {
    Rockbox has a dual-boot feature. To boot into the original firmware, shut
    down the device as described above. Turn on the \ButtonHold{} switch
    immediately after turning the player on. The Apple logo will
    display for a few seconds as Rockbox loads the original firmware.
    
    You can also load the original firmware by shutting down the device,
    then clicking the \ButtonHold{} switch on and connecting the iPod
    to your computer.
 
    Regardless of which method you use to boot to the original firmware, you can
    return to Rockbox by pressing and holding \ButtonMenu{} and \ButtonSelect{}
    simultaneously until the player hard resets.
    }

  \opt{ipod1g2g,ipod3g}
    {
    Rockbox has a dual-boot feature. To boot into the original firmware, shut
    down the device as described above. Turn on the \ButtonHold{} switch
    immediately after turning the player on. The Apple logo will
    display for a few seconds as Rockbox loads the original firmware.
    
    You can also load the original firmware by shutting down the device,
    then clicking the \ButtonHold{} switch on and connecting the iPod
    to your computer.
 
    Regardless of which method you use to boot to the original firmware, you can
    return to Rockbox by pressing and holding \ButtonMenu{} and \ButtonPlay{}
    simultaneously until the player hard resets.
    }

  \opt{h100,h300}
    {
    Rockbox has a dual-boot feature. To boot into the original firmware,
    when the \dap{} is turned off, press and hold the \ButtonRec{} button,
    and then press the \ButtonOn{} button.
    }

  \opt{h10,h10_5gb}
    {
    Rockbox has a dual-boot feature. It loads the original firmware from
    the file \fname{/System/OF.mi4}. To boot into the original firmware,
    press and hold the \ButtonLeft{} button while turning on the player.
    \note{The iriver firmware does not shut down properly when you turn it off,
    it only goes to sleep. To get back into Rockbox when exiting from the
    iriver firmware, you will need to reset the player by \opt{h10}{inserting a
    pin in the reset hole}\opt{h10_5gb}{removing and reinserting the battery}.}
    }
    
  \opt{sansa,sansaAMS}
    {
    Rockbox has a dual-boot feature. To boot into the original firmware,
    press and hold the \ButtonLeft{} button while turning on the player.
    }

  \opt{sansaAMS}
    {
    The player will boot into the original firmware if it is powered
    by a USB connection. That feature might go away in the future if
    Rockbox can handle USB transfers.
    }

  \opt{mrobe100}
    {
    Rockbox has a dual-boot feature. It loads the original firmware from
    the file \fname{/System/OF.mi4}. To boot into the original firmware,
    when the \dap{} is turned off, press the \ButtonPower{} button once and then 
    a second time when the m:robe bootlogo (the headphone) appears. Hold the
    \ButtonPower{} button until you see the ``Loading original firmware...'' 
    message on the screen.
    }

  \opt{gigabeats}
    {
    Rockbox has a dual-boot feature. To boot into the original firmware,
    turn the \ButtonHold{} switch on just after turning on the \dap{}.
    }

  }
\subsection{Putting music on your \dap{}}

With the \dap{} connected to the computer as an MSC/UMS device (like a
USB Drive), music files can be put on the player via any standard file
transfer method that you would use to copy files between drives (e.g. Drag 'n' Drop).
The default directory structure that is assumed by some parts of Rockbox
\opt{albumart}{%
    (album art searching, and missing-tag fallback in some WPSes) uses the
    parent directory of a song as the Album name, and the parent directory of
    that folder as the Artist name. While files may be organized however you
    like, see \reference{ref:album_art} for the requirements for Album
    Art to work properly, and WPSes may display information incorrectly if your
    files are not properly tagged, and you have your music organized in a way
    different than they assume when attempting to guess the Artist and Album
    names from your filetree.
}%
\nopt{albumart}{%
    (missing-tag fallback in some WPSes) uses the parent directory of a song
    as the Album name, and the parent directory of that folder as the Artist
    name. While files may be organized however you like, WPSes may display
    information incorrectly if your files are not properly tagged, and you have
    your music organized in a way different than they assume when attempting to
    guess the Artist and Album names from your filetree.
}
\opt{swcodec}{
    See \reference{ref:Supportedaudioformats} for a list of supported audio
    formats.
}

\subsection{The first contact}

After you have first started the \dap{}, you'll be presented by the
\setting{Main Menu}. From this menu you can reach every function of Rockbox,
for more information (see \reference{ref:main_menu}). To browse the files
on you \dap{}, select \setting{Files} (see \reference{ref:file_browser}), and to
browse in a view that is based on the meta-data\footnote{ID3 Tags, Vorbis
comments, etc.} of your audio files, select \setting{Database} (see
\reference{ref:database}).

\subsection{Basic controls}
When browsing files and moving through menus you usually get a list view
presented. The navigation in these lists are usually the same and should be
pretty intuitive.
In the tree view use \ActionStdNext{} and \ActionStdPrev{} to move around
the selection. Use \ActionStdOk{} to select an item. When browsing the file
system selecting an audio file plays it. The view switches to the ``While
playing screen'', usually abbreviated as ``WPS'' (see \reference{ref:WPS}. The
dynamic playlist gets replaced with the contents of the current directory. This
way you can easily treat directories as playlists. The created dynamic playlist can
be extended or modified while playing. This is also known as
``on-the-fly playlist''.
To go back to the \setting{File Browser} stop the playback with the
\ActionWpsStop{} button or return to the file browser while keeping playback
running using \ActionWpsBrowse{}.
In list views you can go back one step with \ActionTreeParentDirectory.

\subsection{Basic concepts}
\subsubsection{Playlists}
Rockbox is playlist oriented. This means that every time you play an audio file,
a so-called ``dynamic playlist'' is generated, unless you play a saved
playlist. You can modify the dynamic playlist while playing and also save
it to a file. If you do not want to use playlists you can simply play your
files directory based.
Playlists are covered in detail in \reference{ref:working_with_playlists}.

\subsubsection{Menu}
From the menu you can customise Rockbox. Rockbox itself is very customisable.
Also there are some special menus for quick access to frequently used
functions.

\subsubsection{Context Menu}
Some views, especially the file browser and the WPS have a context menu.
From the file browser this can be accessed with \ActionStdContext{}.
The contents of the context menu vary, depending on the situation it gets
called. The context menu itself presents you with some operations you can
perform with the currently highlighted file. In the file browser this is
the file (or directory) that is highlighted by the cursor. From the WPS this is
the currently playing file. Also there are some actions that do not apply
to the current file but refer to the screen from which the context menu
gets called. One example is the playback menu, which can be called using
the context menu from within the WPS.

\section{Customising Rockbox}
Rockbox' User Interface can be customised using ``Themes''. Themes usually
only affect the visual appearance, but an advanced user can create a theme
that also changes various other settings like file view, LCD settings and
all other settings that can be modified using \fname{.cfg} files. This topic
is discussed in more detail in \reference{ref:manage_settings}.
The Rockbox distribution comes with some themes that should look nice on
your \dap{}.
\opt{lcd_bitmap}{
\note{Some of the themes shipped with Rockbox need additional
fonts from the fonts package, so make sure you installed them.
Also, if you downloaded additional themes from the Internet make sure you
have the needed fonts installed as otherwise the theme may get displayed
garbled.}
}

\opt{usb_charging}
{
    \section{Charging}

    The \dap{} can be powered over USB without connecting to your
    computer by holding \ActionStdUsbCharge{} while plugging in. This
    allows you to continue using the \dap{} normally.
}

\input{rockbox_interface/browsing_and_playing.tex}
